package xtools.boot.cache.redis.utils;

import xtools.boot.cache.redis.base.RedisService;
import xtools.boot.core.utils.SpringContextUtils;

/**
 * <p>Title : RedisUtils</p>
 * <p>Description : RedisUtils</p>
 * <p>DevelopTools : Idea_x64_v2026.1</p>
 * <p>DevelopSystem : macOS Sequoia 15.7.5</p>
 * <p>Company : org.xujun</p>
 *
 * @author : XuJun
 * @version : 5.0.0
 * @date : 2026/2/10 09:02
 */
public class RedisUtils {

    /**
     * Redis 服务
     **/
    private static RedisService redisService;

    /**
     * 获取 Redis 服务
     *
     * @return Redis 服务
     */
    public static RedisService get() {
        if (redisService != null) {
            return redisService;
        }
        return SpringContextUtils.getBean(RedisService.class);
    }

}
